- name: S'assurer que le système peut utiliser le transport HTTPS pour l'APT
  stat:
    path: /usr/lib/apt/methods/https
  register: apt_https_transport

- name: Installer APT HTTPS transport.
  apt:
    name: "apt-transport-https"
    state: present
    update_cache: yes
  when: not apt_https_transport.stat.exists

- name: Installation des différents paquets (tomcat)
  package:
    name: ['vim','aptitude','bash-completion','tmux','tree','htop','wget','unzip','curl','git','python3']
    state: present
    update_cache: yes

- name: Installation de Java
  apt:
    name: default-jdk
    state: present
 
- name: "[MYSQL] - update cache"
  apt:
    update_cache: yes

- name: "[MYSQL] - install"
  apt:
    name: mariadb-server
    state: latest

- name: "[Python] - install"
  apt:
    name: python3-pymysql
    state: latest
